> ## Documentation Index
> Fetch the complete documentation index at: https://integrations.docs.commenda.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create

> Creates an invite link a customer uses to connect their integration.



## OpenAPI

````yaml /openapi_v4_core.json post /v4/core/invite-links
openapi: 3.0.0
info:
  title: Commenda Integrations V4 API
  description: Commenda Integrations — unified accounting, commerce, and CRM API.
  version: 4.0.0
  contact: {}
servers:
  - url: https://api.integrations.commenda.io
    description: Production
security:
  - api_key: []
tags: []
paths:
  /v4/core/invite-links:
    post:
      tags:
        - Invite Links
      summary: Create
      description: Creates an invite link a customer uses to connect their integration.
      operationId: InviteLinkCoreController_create
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateInviteLinkDTO'
      responses:
        '201':
          description: The created invite link.
          content:
            application/json:
              schema:
                properties:
                  data:
                    $ref: '#/components/schemas/CreateInviteLinkResponse'
                  request_id:
                    type: string
                    format: uuid
                required:
                  - data
                  - request_id
      security:
        - api_key: []
components:
  schemas:
    CreateInviteLinkDTO:
      type: object
      properties:
        integration:
          enum:
            - BUSY
            - CLEARBOOKS
            - FREEAGENT
            - FRESHBOOKS
            - KASHFLOW
            - MEKARI_JURNAL
            - MS_DYNAMICS_365
            - MS_DYNAMICS_365_FO
            - MYOB_BUSINESS
            - NETSUITE
            - ODOO_ACCOUNTING
            - QOYOD
            - QUICKBOOKS
            - QUICKBOOKS_SANDBOX
            - ROOTFI_SANDBOX
            - SAGE_CLOUD_ACCOUNTING
            - SAGE_ZA_CLOUD_ACCOUNTING
            - SAGE_INTACCT
            - TALLY
            - WAFEQ
            - WAVE
            - XERO
            - ZOHO_BOOKS
            - PUZZLE_SANDBOX
            - PUZZLE
            - RILLET
            - RILLET_SANDBOX
            - AMAZON
            - BIG_COMMERCE
            - SHOPIFY
            - SQUARESPACE
            - WIX
            - WOO_COMMERCE
            - GOOGLE_PLAYSTORE
            - CHARGEBEE
            - MOLLIE
            - PAYPAL
            - PAYPAL_SANDBOX
            - RAZORPAY
            - SQUARE
            - SQUARE_SANDBOX
            - STRIPE
            - STRIPE_TEST
            - STRIPE_SANDBOX
            - ZOHO_INVOICE
            - PADDLE
            - PADDLE_SANDBOX
            - HUBSPOT
            - PIPEDRIVE
            - SALES_FORCE
            - ZOHO_CRM
            - GUSTO
          type: string
          example: QUICKBOOKS
        companyName:
          type: string
          example: Acme Inc
        syncFrom:
          type: string
          format: date-time
          example: '2024-01-01T00:00:00Z'
        syncConfig:
          type: array
          items:
            $ref: '#/components/schemas/WriteSyncConfigModel'
      required:
        - integration
        - companyName
    CreateInviteLinkResponse:
      type: object
      properties:
        inviteLink:
          $ref: '#/components/schemas/CreatedInviteLink'
      required:
        - inviteLink
    WriteSyncConfigModel:
      type: object
      properties:
        interval:
          type: number
          minimum: 1
          example: 1
        frequency:
          type: string
          enum:
            - WEEKLY
            - MONTHLY
            - YEARLY
            - DAILY
            - HOURLY
            - NEVER
          example: DAILY
        data_model:
          type: string
          enum:
            - ACCOUNT
            - BALANCE_SHEET
            - BANK_ACCOUNT
            - BANK_TRANSACTION
            - BILL
            - BILL_CREDIT_NOTE
            - BILL_PAYMENT
            - CASH_FLOW_STATEMENT
            - COMPANY_INFO
            - CONTACT
            - CURRENCY
            - DOCUMENT
            - EXPENSE
            - GOODS_RECEIPT_NOTE
            - INCOME_STATEMENT
            - INVOICE
            - INVOICE_CREDIT_NOTE
            - INVOICE_PAYMENT
            - ITEM
            - JOURNAL_ENTRY
            - JOURNAL_LINE
            - PROJECT
            - PURCHASE_ORDER
            - SALES_ORDER
            - ESTIMATE
            - TAX_RATE
            - TRACKING_CATEGORY
            - CASH_SALE
            - CASH_REFUND
            - BALANCE
            - DISPUTE
            - ORDER
            - PAYOUT
            - SUBSCRIPTION
            - TRANSACTION
            - EVENT
            - FULFILLMENT
            - INVENTORY
            - COMPANY
            - LEAD
            - OPPORTUNITY
            - PIPELINE
            - PIPELINE_STAGE
            - NOTE
            - TASK
            - OWNER
            - ENGAGEMENT
            - ADDRESS
            - EXTERNAL_LINK
            - LINE_ITEM
            - PHONE_NUMBER
            - VARIANT
          example: INVOICE
        category:
          type: string
          enum:
            - ACCOUNTING
            - PAYMENTS
            - ECOMMERCE
            - CRM
            - HRIS
          example: ACCOUNTING
        scope_access:
          $ref: '#/components/schemas/ScopeAccessModel'
        enabled:
          type: boolean
          example: true
        sync_from:
          type: string
          format: date-time
          nullable: true
          example: '2024-01-01T00:00:00Z'
      required:
        - frequency
        - data_model
        - category
        - scope_access
        - enabled
    CreatedInviteLink:
      type: object
      properties:
        id:
          type: number
        inviteLinkId:
          type: string
        companyId:
          type: number
      required:
        - id
        - inviteLinkId
        - companyId
    ScopeAccessModel:
      type: object
      properties:
        READ:
          type: boolean
          example: true
        CREATE:
          type: boolean
          example: false
        UPDATE:
          type: boolean
          example: false
        DELETE:
          type: boolean
          example: false
      required:
        - READ
        - CREATE
        - UPDATE
        - DELETE
  securitySchemes:
    api_key:
      type: apiKey
      in: header
      name: api_key
      description: Your Commenda Integrations API key, sent in the `api_key` header.

````